<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################

$q1 = @$db->sql_query( @"select  *  from  `forum_t` where `id`='".$fid."' ;" );
$tem = @$db->sql_fetchrow(@$q1);
if (mysql_affected_rows() == 0){
echo '<b>Такой темы не существует! Возможно она была удалена модератором.</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}

$t_name = $tem ['name'];
$f = $tem ['f_id'];
$r = $tem ['r_id'];

$for = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_f` where id='$f';" ));
$raz = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_r` where id='$r';" ));

if(!empty($_GET['er'])) echo '<font color="red"><b>'.$_GET['er'].'</b></font>';
echo '<a href="./">Форумы</a>|<a href="razdel_'.$f.'">'.$for[name].'</a>';
echo '|<a href="temes_'.$r.'">'.$raz[name].'</a>|<b>'.$t_name.'</b><dl><dt></dt></dl><a href="#down">Вниз</a> | <a href="./'.$page.'">Обновить</a> | <a href="bookmarks/'.$fid.'">В закладки</a> | ';

if ($user['level']<5)
{
if ($tem['close']==0 && $tem['user_id']==$user['id'])echo '<a href="zakr/'.$fid.'/'.$page.'">Закрыть</a>';

}
if ($user['level']>=5)
{
if ($tem['close'] == 1)echo '<a href="admin/o2/'.$fid.'/end">Открыть</a>|';
echo '<a href="admin/o1/'.$fid.'/end">Закрыть</a>|';
if ($tem['zak'] == 0)echo '<a href="admin/zak1/'.$fid.'/and">Закрепить</a>|';
echo '<a href="admin/zak2/'.$fid.'/end">Открепить</a>|';
echo '<a href="admin/d2/'.$fid.'/end">Удалить</a><br/>';
}else echo '<br />';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from forum_msg WHERE `f_id` = '".$f."' and `t_id` = '".$fid."' and r_id = '".$r."' and file != '';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($tem['close'] == 1)echo '<br /><b>Тема закрыта для обсуждения!</b><br />';
else{
echo '<dl><dt></dt></dl>';
echo '<img src="'.H.'img/add.png" alt="*"/> <a href="addpost_'.$fid.'_'.$page.'"><b>Ответить</b></a><dl><dt></dt></dl>';
//if ($fid == 131) require('umnik1.php');// Умник
}

if (isset($_GET['del'])){
if ($user[level]>4){
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['del']))."';"));
if($d['file']!=NULL)unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("DELETE FROM `forum_msg` WHERE `id` = '".check(intval($_GET['del']))."'");
}
header ('Location: ?'.SID);
}

if (isset($_GET['delf'])){
if ($user[level]>4){
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['delf']))."';"));
if($d['file']!=NULL){unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("UPDATE `forum_msg` SET `file` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."'");}
}else{
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `forum_msg` where id='".check(intval($_GET['delf']))."' and user_id='".$user['id']."';"));
if($d['file']!=NULL){unlink ('../files/forum/'.$d['file'].'');
$db->sql_query("UPDATE `forum_msg` SET `file` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."' and user_id='".$user['id']."'");}
}
header ('Location: ?'.SID);
}

$q2 = @$db->sql_query("SELECT * from `forum_msg` WHERE `t_id` = '".$fid."' and file != '' order by time limit $start, $max;" );
$k = $db->sql_numrows( $q2 );
if ($k_post == 0)echo '<br />Здесь сообщений пока нет :)<br />';

//$k_page2 = $k_post-$start;
$post_k=$start+1;
while($mess = @$db->sql_fetchrow(@$q2)){
$time = $mess['time'];
$m = $mess['id'];

if (empty($mess['privat'])){  // если написали не в Приват
echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo '. <a href="'.H.$mess[user_id].'">'.nik($mess[user_id]).'</a> ';
if ($tem['close']!=1){
if ($user['id']!=$mess['user_id'])echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>|';

if($user['level']>4)echo '<a href="?del='.$m.'" title="Удалить">[удал]</a>|';
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo '<a href="editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}

echo '('.times($mess['time']).')';
include'rat.php';

echo div;
if ($mess['cit']) echo citata.'&#160;<i>'.bbcode($mess['cit']).'</i>'.div;// Сцитата
if($user['sizep']==0)echo text($mess['msg']);
else{
$msg=substr($mess['msg'], 0, $user['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo text($msg);
if (strlen($mess['msg'])>$user['sizep'])echo "<br /><a href=\"read/$m/$page\">Читать все &gt;&gt;</a>\n";
}

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo '&#160;Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "&#160;Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста
echo '<dl></dl>';


}else if($mess['privat']==$user['id']||$mess['user_id']==$user['id']||$user['level']==9){ // Если приват = челу

echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo ". <a href=\"".H.$mess[user_id]."\">".nik($mess[user_id])."</a> ";
if ($tem['close']!=1){
if ($user['id']!=$mess['user_id'])echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>|';

if($user['level']>4)echo '<a href="?del='.$m.'" title="Удалить">[удал]</a>|';
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo '<a href="editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}

echo '('.times($mess['time']).')<font color="red">Приватное!</font>';
include'rat.php';
echo div;
if ($mess['cit']) echo citata.'&#160;<i>'.bbcode($mess['cit']).'</i>'.div;// Сцитата
if($user['sizep']==0)echo text($mess['msg']);
else{
$msg=substr($mess['msg'], 0, $user['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo text($msg);
if (strlen($mess['msg'])>$user['sizep'])echo "<br /><a href=\"read/$m/$page\">Читать все &gt;&gt;</a>\n";
}

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo '&#160;Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "&#160;Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста

echo '<dl></dl>';
}else{ // если чел левый

echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo ". <a href=\"".H.$mess[user_id]."\">".nik($mess[user_id])."</a> ";
echo '('.times($mess['time']).')';
include'rat.php';
echo div;
echo 'Приватное сообщение, видит только адресат...';
echo '<dl></dl>';
}


}
echo '<br /><dl><dt></dt></dl>';
if ($k_page>1)str2("files_$fid",$k_page,$page); // Вывод страниц
echo '<br /><dl><dt></dt></dl>';
if ($tem['close']== 1)
{
echo '<br /><b>Тема закрыта для обсуждения!</b><br/>';
}
else
{
if($user['forma']==0)echo '<img src="'.H.'img/add.png" alt="*"/> <a href="addpost_'.$fid.'_'.$page.'"><b>Ответить</b></a><dl><dt></dt></dl>';
else if($user['forma']==1) {
if ($ver!='wml') echo '<form action="addpost_'.$fid.'_'.$page.'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Сообщение:<br /><input name="msg'.$ref.'" title="Сообщение"/><br/>';
else echo 'Сообщение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br />';

if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="addpost_'.$fid.'_'.$page.'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="act" value="act"/>
<postfield name="privat" value="$privat"/>
<postfield name="opprivat" value="$opprivat"/>
</go></anchor><br/>';
}else{
echo '<input name="act" type="hidden" value="act"/>';
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br />';
}
}
 }
echo '<a name="down"></a>
<br /><dl><dt></dt></dl>
<a href="#up">Вверх</a> | ';
?>